#ifndef FORMINGTOOL_H
#define FORMINGTOOL_H

#include <string>
#include <ostream>
#include <iostream>
#include <fstream>

class FormingTool {
public:
    FormingTool(const std::string &toolType, double toolSize, const std::string &materialType);
    std::string getToolType() const;
    double getToolSize() const;
    std::string getMaterialType() const;
    double getToolRadius() const;
    void setToolType(const std::string &toolType);
    void setToolSize(double toolSize);
    void setMaterialType(const std::string &materialType);
    void setToolRadius(double radius);
	void useTool();
    void serialize(std::ofstream &ofs) const;
    void deserialize(std::ifstream &ifs);

private:
    std::string m_toolType;
    double m_toolSize;
    std::string m_materialType;
    double m_toolRadius;
};

#endif // FORMINGTOOL_H